View Issue Details

IDProjectCategoryView StatusLast Update
0000345luatexluatex bugpublic2010-04-03 18:01
ReportermehdioaAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindowsOSXPOS VersionSP3
Product Version 
Target Version0.60.0Fixed in Version0.60.0 
Summary0000345: Kerning is not perfect in math mode
DescriptionIf you run
\starttext
\startformula
V) V\exists F\exists
\stopformula
\stoptext
the space between W and ) for example is not correct.
TagsNo tags attached.

Activities

mehdioa

2010-03-10 10:29

reporter  

test.pdf (15,591 bytes)

Taco

2010-03-10 11:14

administrator   ~0000466

The italic corrections are missing. I strongly suspect this is a context problem,
not an engine problem.

Taco

2010-03-10 11:56

administrator   ~0000467

I looked at is some more:

The reason why there is no italic correction is because luatex
sees a simple list of mathords, and it does not apply italic
corrections between those when a 'new math font' is being used.
(if it did, operators like "sin" would come out badly).
Instead, it relies on ordinary inter-glyph kerning.

I am not at all sure what the best solution for this is, as I have no
idea how MS Word differentiates between the formula above and
'multi-letter identifiers'. Perhaps luatex should look at the \catcode
of the characters in question? Or perhaps these inter-char kerns
actually exist in Cambria?

Taco

2010-03-13 11:54

administrator   ~0000477

Commit 3480 is an attempt at a fix for bug 345: when the current math font
is a new math font, check against \catcode <cur_c> == 11 to suppress the italic
correction, instead of looking at the value of space(<cur_f>).

Taco

2010-03-13 12:40

administrator   ~0000481

better keep this at feedback for now

mehdioa

2010-03-18 08:03

reporter   ~0000491

Just tested luatex 0.52 and it is much better now.

Taco

2010-03-18 15:44

administrator   ~0000492

I'm guessing this is resolved now

Issue History

Date Modified Username Field Change
2010-03-10 10:29 mehdioa New Issue
2010-03-10 10:29 mehdioa File Added: test.pdf
2010-03-10 11:14 Taco Note Added: 0000466
2010-03-10 11:56 Taco Note Added: 0000467
2010-03-10 11:56 Taco Assigned To => Taco
2010-03-10 11:56 Taco Status new => feedback
2010-03-13 11:54 Taco Note Added: 0000477
2010-03-13 11:54 Taco Status feedback => resolved
2010-03-13 11:54 Taco Resolution open => fixed
2010-03-13 12:40 Taco Note Added: 0000481
2010-03-13 12:40 Taco Status resolved => feedback
2010-03-13 12:40 Taco Resolution fixed => reopened
2010-03-16 21:00 Taco Target Version => 0.60.0
2010-03-18 08:03 mehdioa Note Added: 0000491
2010-03-18 08:03 mehdioa Status feedback => assigned
2010-03-18 15:44 Taco Note Added: 0000492
2010-03-18 15:44 Taco Status assigned => resolved
2010-03-18 15:44 Taco Resolution reopened => fixed
2010-04-03 18:00 Taco Fixed in Version => 0.60.0
2010-04-03 18:01 Taco Status resolved => closed